# mlnorm< sq_T > Class Template Reference

Normal distributed linear function with linear function of mean value;. More...

`#include <libEF.h>`

Inheritance diagram for mlnorm< sq_T >:

[legend]
Collaboration diagram for mlnorm< sq_T >:

[legend]

List of all members.

## Public Member Functions
| mlnorm (RV &rv, RV &rvc)
| Constructor.
void | set_parameters (const mat &A, const sq_T &R)
| Set `A` and `R`.
vec | samplecond (vec &cond, double &lik)
| Generate one sample of the posterior.
mat | samplecond (vec &cond, vec &lik, int n)
| Generate matrix of samples of the posterior.
void | condition (vec &cond)
| Set value of `rvc` . Result of this operation is stored in `epdf` use function `_ep` to access it.
virtual vec | samplecond (const vec &cond, double &ll)
| Returns the required moment of the epdf.
virtual mat | samplecond (const vec &cond, vec &ll, int N)
| Returns.
virtual void | condition (const vec &cond)
| Update `ep` so that it represents this mpdf conditioned on `rvc` = cond.
virtual double | evalcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
RV | _rvc ()
| access function
RV | _rv ()
| access function
epdf & | _epdf ()
| access function
## Protected Attributes
RV | rv
| modeled random variable
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf

## Detailed Description

### template<class sq_T>
class mlnorm< sq_T >

Normal distributed linear function with linear function of mean value;.

Mean value .

## Member Function Documentation

virtual vec mpdf::samplecond | ( | const vec & | cond,
|  | double & | ll |
| ) |  |  | `[inline, virtual, inherited]`

Returns the required moment of the epdf.

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References mpdf::condition(), mpdf::ep, epdf::evalpdflog(), and epdf::sample().

Referenced by MPF< BM_T >::bayes(), and PF::bayes().

virtual mat mpdf::samplecond | ( | const vec & | cond,
|  | vec & | ll,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References mpdf::condition(), RV::count(), mpdf::ep, epdf::evalpdflog(), mpdf::rv, and epdf::sample().

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/libEF.h